%define version 4.22.80.06
%define release 2
Vendor:        lsi
Name:          %vendor-mptlinux
BuildRequires: kernel-source kernel-syms
License:       GPL
Group:         System/Kernel
Summary:       LSI Fusion MPT Kernel Module Package
Version:       %{version}
Release:       %{release}
Source0:       %name-%version.tar.bz2
Source1:       preamble
Source2:       Module.supported
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%kernel_module_package -p %_sourcedir/preamble -x kdump -x um

%description
This is a Kernel Module Package for the LSI Fusion MPT driver.

%package KMP
Summary: LSI Fusion Kernel Module
Group: System/Kernel

%description KMP
This is a Kernel Module Package for the LSI Fusion MPT driver.

%prep
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

%changelog -n %name
* Thu Apr 26 2007 - Eric.Moore@lsi.com
- Initial version.
